EVP_PKEY_METH_GET0_INFO(3)

NAME
EVP_PKEY_meth_get0_info - enumerate public key methods

SYNOPSIS
#include <openssl/evp.h>
void
EVP_PKEY_meth_get0_info(int *ppkey_id, int *pflags, const EVP_PKEY_METHOD *meth);

DESCRIPTION
The function EVP_PKEY_meth_get0_info() retrieves the public key ID (a NID) and any flags associated with the public key method *meth.

SEE ALSO
EVP_PKEY_meth_new(3), EVP_PKEY_new(3)

HISTORY
EVP_PKEY_meth_get0_info() first appeared in OpenSSL 1.0.1 and has been available since OpenBSD 5.3.